Module jdk.security.auth
Package com.sun.security.auth.callback

## Class TextCallbackHandler

- java.lang.Object
- - com.sun.security.auth.callback.TextCallbackHandler

All Implemented Interfaces:
  `CallbackHandler`

    public class TextCallbackHandler
    extends Object
    implements CallbackHandler

Prompts and reads from the command line for answers to authentication questions. This can be used by a JAAS application to instantiate a CallbackHandler

See Also:
  `javax.security.auth.callback`

### Constructor Summary

Constructors
`TextCallbackHandler()` Creates a callback handler that prompts and reads from the command line for answers to authentication questions.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `handle​(Callback[] callbacks)` Handles the specified set of callbacks.

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextCallbackHandler

    public TextCallbackHandler()

Creates a callback handler that prompts and reads from the command line for answers to authentication questions. This can be used by JAAS applications to instantiate a CallbackHandler.

### Method Detail

#### handle

    public void handle​(Callback[] callbacks)
                throws IOException,
                       UnsupportedCallbackException

Handles the specified set of callbacks.

Specified by:
  `handle` in interface `CallbackHandler`
Parameters:
  `callbacks` - the callbacks to handle
Throws:
  `IOException` - if an input or output error occurs.
  `UnsupportedCallbackException` - if the callback is not an instance of NameCallback or PasswordCallback